# Wolfram Alpha Search

## Try it in the Widget Center

Click this [url](https://app.myshell.ai/robot-workshop/widget/1782421790748663808) to try this widget and copy the Pro Config template.

## Usage

Return the searched result of Wolfram-Alpha. The returned format can be markdown or json.

**Input Parameters**

<table><thead><tr><th>Name</th><th>Type</th><th>Description</th><th>Default</th><th data-type="checkbox">Required</th></tr></thead><tbody><tr><td>query</td><td><code>string</code></td><td>The search query string that specifies what the search should be about.</td><td>what is normal distribution?</td><td>true</td></tr><tr><td>format_to</td><td><code>string</code></td><td>Specify the output format, should be either `json` or `markdown`</td><td>markdown</td><td>true</td></tr></tbody></table>

**Output Parameters**

| Name             | Type     | Description                                     | File Type |
| ---------------- | -------- | ----------------------------------------------- | --------- |
| result\_json     | `array`  | The result of wolfram alpha search in json list |           |
| result\_markdown | `string` | The result of wolfram alpha search in markdown  |           |

**Output Example**

{% tabs %}
{% tab title="json" %}
{% code fullWidth="false" %}

```json
{
  "result_json": [
    {
      "images": [
        "https://www6b3.wolframalpha.com/Calculate/MSP/MSP142222e5h4b2abg4cee1000011gi2bbe7aa79951?MSPStoreType=image/gif\u0026s=15"
      ],
      "title": "Input"
    },
    {
      "images": [
        "https://www6b3.wolframalpha.com/Calculate/MSP/MSP142322e5h4b2abg4cee100002348d63ihd6g1926?MSPStoreType=image/gif\u0026s=15"
      ],
      "title": "Statistical properties"
    },
    {
      "images": [
        "https://www6b3.wolframalpha.com/Calculate/MSP/MSP142422e5h4b2abg4cee1000065a38024f112ahbf?MSPStoreType=image/gif\u0026s=15"
      ],
      "title": "Probability density function (PDF)"
    },
    {
      "images": [
        "https://www6b3.wolframalpha.com/Calculate/MSP/MSP142522e5h4b2abg4cee1000014de9a0fh4d3da81?MSPStoreType=image/gif\u0026s=15"
      ],
      "title": "Plots of PDF for typical parameters"
    },
    {
      "images": [
        "https://www6b3.wolframalpha.com/Calculate/MSP/MSP142622e5h4b2abg4cee10000345gb98c21b78gdd?MSPStoreType=image/gif\u0026s=15",
        "https://www6b3.wolframalpha.com/Calculate/MSP/MSP142722e5h4b2abg4cee100002c96875gg8i19ec4?MSPStoreType=image/gif\u0026s=15"
      ],
      "title": "Cumulative distribution function (CDF)"
    },
    {
      "images": [
        "https://www6b3.wolframalpha.com/Calculate/MSP/MSP142822e5h4b2abg4cee1000035ah35cib2ag6dcf?MSPStoreType=image/gif\u0026s=15"
      ],
      "title": "Plots of CDF for typical parameters"
    },
    {
      "images": [
        "https://www6b3.wolframalpha.com/Calculate/MSP/MSP142922e5h4b2abg4cee10000427239d086d09ef3?MSPStoreType=image/gif\u0026s=15"
      ],
      "title": "Percentiles"
    }
  ],
}
```

{% endcode %}
{% endtab %}

{% tab title="markdown" %}
{% code fullWidth="false" %}

```json
{
  "result_markdown": "### Input\n![](https://www6b3.wolframalpha.com/Calculate/MSP/MSP54441a11d6bfi0c8dh00000022gd0effd7eegb04?MSPStoreType=image/gif\u0026s=18)\n### Statistical properties\n![](https://www6b3.wolframalpha.com/Calculate/MSP/MSP54451a11d6bfi0c8dh0000000hg07671e428cba8?MSPStoreType=image/gif\u0026s=18)\n### Probability density function (PDF)\n![](https://www6b3.wolframalpha.com/Calculate/MSP/MSP54461a11d6bfi0c8dh00000048i85g1e3h0b6089?MSPStoreType=image/gif\u0026s=18)\n### Plots of PDF for typical parameters\n![](https://www6b3.wolframalpha.com/Calculate/MSP/MSP54471a11d6bfi0c8dh00000064375i55i134d9ee?MSPStoreType=image/gif\u0026s=18)\n### Cumulative distribution function (CDF)\n![](https://www6b3.wolframalpha.com/Calculate/MSP/MSP54481a11d6bfi0c8dh00000046ddeieia05i5b2e?MSPStoreType=image/gif\u0026s=18)\n![](https://www6b3.wolframalpha.com/Calculate/MSP/MSP54491a11d6bfi0c8dh00000033iafad6d2ifc9ig?MSPStoreType=image/gif\u0026s=18)\n### Plots of CDF for typical parameters\n![](https://www6b3.wolframalpha.com/Calculate/MSP/MSP54501a11d6bfi0c8dh0000000e54b3f10c5eicf9?MSPStoreType=image/gif\u0026s=18)\n### Percentiles\n![](https://www6b3.wolframalpha.com/Calculate/MSP/MSP54511a11d6bfi0c8dh00000038hab2g2c6ef01f5?MSPStoreType=image/gif\u0026s=18)\n"
}
```

{% endcode %}
{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.myshell.ai/ko/create/pro-config-mode/api-reference/widgets/30-wolfram-alpha-search.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
